loci.formats

## Interface IPyramidHandler

- All Known Subinterfaces:
    IFormatReader, IFormatWriter
  All Known Implementing Classes:
    AFIReader, AIMReader, AliconaReader, AmiraReader, AnalyzeReader, APLReader, APNGReader, APNGWriter, ARFReader, AVIReader, AVIWriter, BaseTiffReader, BaseZeissReader, BDReader, BDVReader, BIFormatReader, BioRadGelReader, BioRadReader, BioRadSCNReader, BMPReader, BrukerReader, BufferedImageReader, BufferedImageWriter, BurleighReader, CanonRawReader, CellH5Reader, CellH5Writer, CellomicsReader, CellSensReader, CellVoyagerReader, CellWorxReader, ChannelFiller, ChannelMerger, ChannelSeparator, ColumbusReader, CV7000Reader, DCIMGReader, DelegateReader, DeltavisionReader, DicomReader, DicomWriter, DimensionSwapper, DNGReader, Ecat7Reader, EPSReader, EPSWriter, FakeReader, FEIReader, FEITiffReader, FilePatternReader, FileStitcher, FitsReader, FlexReader, FlowSightReader, FluoviewReader, FormatReader, FormatWriter, FujiReader, FV1000Reader, GatanDM2Reader, GatanReader, GelReader, GIFReader, HamamatsuVMSReader, HISReader, HitachiReader, HRDGDFReader, I2IReader, ICSReader, ICSWriter, IM3Reader, ImaconReader, ImageIOReader, ImageIOWriter, ImageProcessorReader, ImageReader, ImageWriter, ImagicReader, ImarisHDFReader, ImarisReader, ImarisTiffReader, IMODReader, ImprovisionTiffReader, ImspectorReader, InCell3000Reader, InCellReader, INRReader, InveonReader, IonpathMIBITiffReader, IPLabReader, IPWReader, IvisionReader, JavaWriter, JDCEReader, JEOLReader, JPEG2000Reader, JPEG2000Writer, JPEGReader, JPEGReader.DefaultJPEGReader, JPEGWriter, JPKReader, JPXReader, KhorosReader, KLBReader, KodakReader, L2DReader, LeicaReader, LeicaSCNReader, LEOReader, LiFlimReader, LIFReader, LIMReader, LMSFileReader, LOFReader, Memoizer, MetamorphReader, MetamorphTiffReader, MetaxpressTiffReader, MIASReader, MicroCTReader, MicromanagerReader, MikroscanTiffReader, MINCReader, MinimalTiffReader, MinMaxCalculator, MNGReader, MolecularImagingReader, MRCReader, MRWReader, MultipleImagesReader, NAFReader, ND2Reader, NDPIReader, NDPISReader, NiftiReader, NikonElementsTiffReader, NikonReader, NikonTiffReader, NRRDReader, OBFReader, OIRReader, OlympusTileReader, OMETiffReader, OMETiffWriter, OMEXMLReader, OMEXMLWriter, OpenlabRawReader, OpenlabReader, OperettaReader, OxfordInstrumentsReader, PCIReader, PCORAWReader, PCXReader, PDSReader, PerkinElmerReader, PGMReader, PhotoshopTiffReader, PictReader, PovrayReader, PQBinReader, PrairieReader, PSDReader, PyramidOMETiffWriter, PyramidTiffReader, QTReader, QTWriter, QuesantReader, RCPNLReader, ReaderWrapper, RHKReader, SBIGReader, ScanrReader, SDTReader, SeikoReader, SEQReader, SIFReader, SimplePCITiffReader, SISReader, SlideBook7Reader, SlidebookReader, SlidebookTiffReader, SMCameraReader, SPCReader, SPEReader, SpiderReader, SubResolutionFormatReader, SVSReader, TargaReader, TCSReader, TecanReader, TextReader, TiffDelegateReader, TiffJAIReader, TiffReader, TiffWriter, TileJPEGReader, TileStitcher, TillVisionReader, TissueFAXSReader, TopometrixReader, TrestleReader, UBMReader, UnisokuReader, V3DrawWriter, VarianFDFReader, VectraReader, VeecoReader, VentanaReader, VGSAMReader, VirtualReader, VisitechReader, VolocityClippingReader, VolocityReader, WATOPReader, WrappedReader, WriterWrapper, XLEFReader, ZeissCZIReader, ZeissLMSReader, ZeissLSMReader, ZeissTIFFReader, ZeissXRMReader, ZeissZVIReader, ZipReader

      public interface IPyramidHandler

  Interface for defining image pyramids.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getResolution()` Get the current resolution level.
    `int` | `getResolutionCount()` Return the number of resolutions for the current series.
    `void` | `setResolution(int resolution)` Set the resolution level.

- - ### Method Detail

    - #### getResolutionCount

          int getResolutionCount()

      Return the number of resolutions for the current series. Resolutions are stored in descending order, so the largest resolution is first and the smallest resolution is last.

    - #### setResolution

          void setResolution(int resolution)

      Set the resolution level.
      See Also:
        `getResolutionCount()`

    - #### getResolution

          int getResolution()

      Get the current resolution level.
      See Also:
        `getResolutionCount()`

Copyright © 2026 Open Microscopy Environment